> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Loyalty Programmes

> List Loyalty Programmes via the Duffel Stays API



## OpenAPI

````yaml openapi/duffel-stays.json GET /apis/v1/duffel/stays/loyalty-programmes/list
openapi: 3.1.0
info:
  description: ''
  title: Duffel Stays
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/duffel/stays/bookings/create
    - /apis/v1/duffel/stays/bookings/list
    - /apis/v1/duffel/stays/bookings/{id}
    - /apis/v1/duffel/stays/bookings/{id}/cancel
    - /apis/v1/duffel/stays/loyalty-programmes/list
    - /apis/v1/duffel/stays/quotes/create
    - /apis/v1/duffel/stays/quotes/{id}
    - /apis/v1/duffel/stays/search-results/{id}
    - /apis/v1/duffel/stays/search-results/{id}/rates
    - /apis/v1/duffel/stays/search/create
  x-aisa-document:
    facts_hash: 035cd7385d62556c97d5b218e0eef016f91ccb9042ea2f62378f3ccef2ee40d0
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending:
      - operation_id: get_duffel_stays_apis_v1_duffel_stays_search_results_id
        path: /apis/v1/duffel/stays/search-results/{id}
        method: GET
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
      - operation_id: get_duffel_stays_apis_v1_duffel_stays_search_resu_1d74a6
        path: /apis/v1/duffel/stays/search-results/{id}/rates
        method: GET
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
    document_hash: sha256:f36663c8b85de47c0cb6e65719645d579a7536f4a5df9e3eb7d0f420ba2a28fc
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: duffel-stays
  x-aisa-catalogs:
    duffel-stays:
      title: Duffel Stays
      description: ''
      x-aisa-document:
        facts_hash: 035cd7385d62556c97d5b218e0eef016f91ccb9042ea2f62378f3ccef2ee40d0
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/duffel/stays/loyalty-programmes/list:
    get:
      tags:
        - duffel-stays
      summary: List Loyalty Programmes
      description: List Loyalty Programmes via the Duffel Stays API
      operationId: get_duffel_stays_apis_v1_duffel_stays_loyalty_pro_d3855f
      parameters:
        - in: query
          name: after
          required: false
          schema:
            type: string
        - in: query
          name: before
          required: false
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            maximum: 200
            minimum: 1
            type: integer
      responses:
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
        2XX:
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      additionalProperties: false
                      description: >
                        Details of a loyalty programme which Duffel Stays
                        supports.

                        The reference field can be used to match this loyalty
                        programme to the `supported_loyalty_programme` field on
                        an
                        [Accommodation](/docs/api/v2/accommodation/schema#accommodation-schema-supported-loyalty-programme)
                        or
                        [Rate](/docs/api/v2/search-result/schema#search-result-schema-accommodation-accommodation-rooms-accommodation-rooms-rates-accommodation-rooms-rates-supported-loyalty-programme). 

                        You can then utilise the name and logo_url fields to
                        display the loyalty programme to your users for that
                        Accommodation or Rate.

                        The `duffel_hotel_group_rewards` value is an example
                        programme for testing and integration purposes, and will
                        only appear on Duffel Hotel Group test hotels and
                        rates."
                      properties:
                        logo_url_png_small:
                          description: The URL of the loyalty programme's logo.
                          example: >-
                            https://assets.duffel.com/img/stays/loyalty-programmes/transparent-logo/duffel_hotel_group_rewards.png
                          format: url
                          type: string
                        logo_url_svg:
                          description: The URL of the loyalty programme's logo.
                          example: >-
                            https://assets.duffel.com/img/stays/loyalty-programmes/full-color-logo/duffel_hotel_group_rewards-square.svg
                          format: url
                          type: string
                        name:
                          description: The name of the loyalty programme.
                          example: Duffel Hotel Group Rewards
                          type: string
                        reference:
                          description: >
                            The reference of this loyalty programme. This can be
                            used to identify supported 

                            loyalty programmes on an
                            [Accommodation](/docs/api/v2/accommodation/schema#accommodation-schema-supported-loyalty-programme)
                            or
                            [Rate](/docs/api/v2/search-result/schema#search-result-schema-accommodation-accommodation-rooms-accommodation-rooms-rates-accommodation-rooms-rates-supported-loyalty-programme).
                          enum:
                            - wyndham_rewards
                            - choice_privileges
                            - marriott_bonvoy
                            - best_western_rewards
                            - world_of_hyatt
                            - hilton_honors
                            - ihg_one_rewards
                            - leaders_club
                            - stash_rewards
                            - omni_select_guest
                            - i_prefer
                            - accor_live_limitless
                            - my_6
                            - jumeirah_one
                            - global_hotel_alliance_discovery
                            - duffel_hotel_group_rewards
                          example: duffel_hotel_group_rewards
                          title: Loyalty Programme Reference
                          type: string
                      title: Accommodation Loyalty Programme
                      type: object
                  meta:
                    type: object
                    properties:
                      limit:
                        type: number
                      before:
                        type: string
                      after:
                        type:
                          - string
                          - 'null'
          description: Successful JSON response; SDK accepts the successful HTTP range.
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.